Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 339057 - app-office/libreoffice: new package request
Summary: app-office/libreoffice: new package request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 2 votes (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
: 349667 351068 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-09-28 18:49 UTC by Hans Meier
Modified: 2011-01-27 10:55 UTC (History)
51 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Visual glitch in main screen (main-screen-glitch.png,59.90 KB, image/png)
2011-01-24 12:52 UTC, Andrey Vihrov
Details
test diff (sdext-presenter.diff,649 bytes, patch)
2011-01-24 19:07 UTC, Hanno Zysik (geki)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-09-28 20:18:38 UTC
OpenOffice team, any thoughts?
Comment 2 Hans Meier 2010-09-28 20:29:53 UTC
No this is new OO

http://go-oo.org/

http://go-oo.org/discover/

http://planet.go-oo.org/


FreeNode

#libreoffice for Developers

#documentfoundation for User


Comment 3 Andreas Proschofsky (RETIRED) gentoo-dev 2010-09-28 20:31:12 UTC
Well, obviously I know about that quite well ;-)

My quick opinion: LibreOffice is the logical continuation of what we have as the source-based openoffice-ebuild in Gentoo atm (which is based on ooo-build / go-oo). So I plan to move to LibreOffice (like basically every other Linux distro out there) in the medium term - at least for the source based build. For the binary it's still to early to tell, depends on a lot of factors and we might end to have packages for both LibreOffice and OpenOffice.org.

Getting back to the scope of this bug: I'll definitely plan to do packages for LibreOffice, don't yet quite know when, but I'm pretty sure we'll have ours ready for a stable 3.3.0 ;-)
Comment 4 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-09-29 05:06:18 UTC
Note the following excerpt from http://futurezone.orf.at/stories/1663849/:

"Wichtig sei auch, dass LibreOffice kein "Fork" von OpenOffice sei. Effenberger: "LibreOffice ist explizit ein vorübergehender Titel, den wir verwenden, bis hoffentlich die Markenrechte geklärt sein werden. Wir hoffen natürlich darauf, dass wir auch weiterhin den Namen OpenOffice verwenden dürfen."

(english exec summary: LibreOffice is not a fork, it's a temporary name, they hope to return to 'OpenOffice'.)
Comment 5 Andreas Proschofsky (RETIRED) gentoo-dev 2010-09-29 06:32:11 UTC
(In reply to comment #4)
 
> (english exec summary: LibreOffice is not a fork, it's a temporary name, they
> hope to return to 'OpenOffice'.)

That's pure wishful - and a bit strategical - wording for the not-so-well-informed press ;-) In reality it is a full fork (codewise it is anyway) and sure - everyone is hoping that Oracle comes to their senses and joins LibreOffice and donates the name, but judging from how they acted in the last few months this seems pretty unlikely... But I'll be the first to embrace it, if they do :-)
Comment 6 Andrés Becerra Sandoval 2010-10-04 22:19:14 UTC
In the rion overlay there is an ebuild for the binary version:

http://code.google.com/p/rion-overlay/source/browse/#hg/app-office/libreoffice-bin%3Fstate%3Dclosed

Comment 7 Andrew Brouwers 2010-10-24 15:34:51 UTC
Out of curiosity, just like the chromium team has done for chromium-bin, any thought on using a gentoo build machine to produce the -bin packages ?
Comment 8 Andreas Proschofsky (RETIRED) gentoo-dev 2010-10-24 19:34:19 UTC
(In reply to comment #7)
> Out of curiosity, just like the chromium team has done for chromium-bin, any
> thought on using a gentoo build machine to produce the -bin packages ?
> 

That's an idea that has been floating around for quite some time, might be interesting, but I never found the time to pursue this further. So for the time being: most likely not, unless someone else steps up to start the work on it...
Comment 9 Pablo Cholaky 2010-11-18 16:29:58 UTC
I should recommend an USE flag for libreoffice on openOffice and openOffice-bin
Comment 10 Matija "hook" Šuklje 2010-11-19 17:12:27 UTC
I just visited http://go-oo.org today and at the bottom of the front page it states:
"Go-oo joins forces with LibreOffice
Go-oo shares much of its goals and philosophy with The Document Foundation's LibreOffice project, we're therefore supporting LibreOffice since it's inception, and are in the process of merging most of our patches over, as well as migrating to Document Foundation infrastructure. Going forward, the Go-oo project will be discontinued in favor of LibreOffice."

Also http://planet.go-oo.org was already migrated to http://planet.documentfoundation.org

According to that, one could safely conclude that Go-OO — on which Gentoo's app-office/openoffice is based — is dead, long live LibreOffice. Since it also seems that Oracle (new owner of official OOo) doesn't want to integrate with the Document Foundation, there will probably now be Oracle OOo and LibreOffice as the community port.

In Comment #9 Pablo suggested an interesting solution via USE flags. Although I would rather do it the other way around — default should be LibreOffice, but if USE="vanilla" it would revert to Oracle OOo.
Comment 11 Andreas Proschofsky (RETIRED) gentoo-dev 2010-11-19 18:23:19 UTC
Just to make that clear: LibreOffice is a full fork of OOo, there is no sense at all in combining both in one ebuild. (and from a technical standpoint it would be pretty insane). Also see my comments at the beginning, to recap: Most likely we'll have libreoffice, libreoffice-bin and openoffice-bin in portage.
Comment 12 Matija "hook" Šuklje 2010-11-19 20:58:00 UTC
(In reply to comment #11)
> Just to make that clear: LibreOffice is a full fork of OOo, there is no sense
> at all in combining both in one ebuild.

AFAIK Libre Office (or rather Document Foundation):
a) hopes that Oracle will join and there will be only one, community-based OOo (namely LibreOffice renamed back to OOo); and therefore
b) LibreOffice will follow OOo's version numbers and build on top of every release.

But, personally, I'm all for separate ebuilds for LO, if that's easier and/or makes more sense.
Comment 13 Andreas Proschofsky (RETIRED) gentoo-dev 2010-11-19 21:17:29 UTC
(In reply to comment #12)
> AFAIK Libre Office (or rather Document Foundation):
> a) hopes that Oracle will join and there will be only one, community-based OOo
> (namely LibreOffice renamed back to OOo); and therefore

That's outdated info. Oracle already strictly declined that offer.

> b) LibreOffice will follow OOo's version numbers and build on top of every
> release.

That's wrong. LibreOffice is discussing a separate time schedule and versioning. Sure there will be a lot of exchanging of code (at least in the beginning) but LO is not building on top of OOo releases anymore. (as it was the case with GoOO / ooo-build)
Comment 14 Matija "hook" Šuklje 2010-11-19 21:24:50 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > AFAIK Libre Office (or rather Document Foundation):
> > a) hopes that Oracle will join and there will be only one, community-based OOo
> > (namely LibreOffice renamed back to OOo); and therefore
> 
> That's outdated info. Oracle already strictly declined that offer.

That I know.

> > b) LibreOffice will follow OOo's version numbers and build on top of every
> > release.
> 
> That's wrong. LibreOffice is discussing a separate time schedule and
> versioning. Sure there will be a lot of exchanging of code (at least in the
> beginning) but LO is not building on top of OOo releases anymore. (as it was
> the case with GoOO / ooo-build)

That I didn't know.

My vote (it that counts anything) is then for completely separate ebuilds for OOo and LO.
Comment 15 Mike Gilbert gentoo-dev 2010-12-25 06:28:27 UTC
*** Bug 349667 has been marked as a duplicate of this bug. ***
Comment 16 Lars Wendler (Polynomial-C) gentoo-dev 2011-01-07 23:38:06 UTC
*** Bug 351068 has been marked as a duplicate of this bug. ***
Comment 17 Nuno Silva 2011-01-08 00:14:12 UTC
I'll probably make the switch [to LibreOffice] when it's possible, but what will happen with openoffice?

The current scheme (source+patches and upstream binary) will be kept, modified (upstream source and binaries?) or discarded in favor of a binary-only one?
Comment 18 Real Name 2011-01-10 12:44:19 UTC
Hi, from my point of view I would prefer the source-build if possible.
Comment 19 Lukas 2011-01-12 12:54:32 UTC
vote++ for the source-builds for libreoffice
Comment 20 Mads 2011-01-13 11:52:00 UTC
I find it peculiar that noone has mentioned the openoffice-geki overlay. That one has a working libreoffice ebuilds and eclasses that builds from source...

http://code.google.com/p/gekis-playground/wiki/Welcome
Comment 21 Andrew Savchenko gentoo-dev 2011-01-13 19:26:55 UTC
As far as I understand, LibreOffice package will be replacement for currently used Go-OO build from the source, because Go-OO is now being integrated into LibreOffice.

So it will be natural to keep build for LibreOffice from the source and ship the binary package for those, who can't or unwilling to build it (e.g. hardware limitations).

As of existing overlay, it should be a good start point for the portage developers. But this kind of packages must be in no doubt in the main portage tree.
Comment 22 K. Posern 2011-01-20 21:57:42 UTC
I like that we slowly collect EVERYONE on this planet in the CC list :)

Does anyone know if the ebuild is already in the working by someone 
and/or 
what's the schedule for this ebuild?

Thanks!
Comment 23 Miguel Sanjurjo 2011-01-20 22:10:57 UTC
I tried the ebuild from the overlay.
It builds and runs OK, but file associations in GNOME are incomplete, Main Menu entries don't work, printers can't be added via spadmin... stuff like that.
Some post-processing instructions are necessary in that ebuild, shouldn't be too much work for someone knowing his way on OO's ebuilds.
Comment 24 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-21 23:05:10 UTC
A quick update: An ebuild is in works, unfortunately lots of other stuff (like getting sick with the flu) prevented me from working on it as much as I'd need to.

@Miguel: spadmin has been (half) dead for a long time under Linux, you simply shouldn't use it (unless you have a very good reason to)
Comment 25 Miguel Sanjurjo 2011-01-22 09:23:58 UTC
(In reply to comment #24)
> A quick update: An ebuild is in works, unfortunately lots of other stuff (like
> getting sick with the flu) prevented me from working on it as much as I'd need
> to.
> 
> @Miguel: spadmin has been (half) dead for a long time under Linux, you simply
> shouldn't use it (unless you have a very good reason to)
> 

Great you're working on it Andreas, thanks.
I use spadmin to add a printer interface to a command-line based fax tool. For real printers I use CUPS
Comment 26 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-23 14:49:40 UTC
First steps... A package for libreoffice-bin is now in the tree, try it if you like, it's parallel installable to openoffice[-bin]. please provide feedback and even better: solutions if you find problems ;-)
Comment 27 tman 2011-01-23 17:47:35 UTC
it installed fine with some error:

 * /usr/lib64/libreoffice/share/extensions/pdfimport/pdfimport.uno.so
 * /usr/lib64/libreoffice/share/extensions/pdfimport/xpdfimport
 * /usr/lib64/libreoffice/share/extensions/presentation-minimizer/SunPresentationMinimizer.uno.so
 * /usr/lib64/libreoffice/share/extensions/presenter-screen/PresenterScreen.uno.so
 * /usr/lib64/libreoffice/program/unopkg.bin
 * /usr/lib64/libreoffice/program/kdefilepicker
 * /usr/lib64/libreoffice/program/soffice.bin
 * /usr/lib64/libreoffice/program/libnpsoplugin.so
scanelf: rpath_security_checks(): Maybe? sec problem with DT_RPATH='6084ORIGIN:6084ORIGIN/../ure-link/lib' in /var/tmp/portage/app-office/libreoffice-bin-3.3.0_rc4/image/usr/lib64/libreoffice/basis3.3/program/libcairo.so.2
scanelf: rpath_security_checks(): Maybe? sec problem with DT_RPATH='6084ORIGIN/../ure-link/lib' in /var/tmp/portage/app-office/libreoffice-bin-3.3.0_rc4/image/usr/lib64/libreoffice/basis3.3/program/libcairo.so.2
scanelf: rpath_security_checks(): Maybe? sec problem with DT_RPATH='6084ORIGIN:6084ORIGIN/../ure-link/lib' in /var/tmp/portage/app-office/libreoffice-bin-3.3.0_rc4/image/usr/lib64/libreoffice/basis3.3/program/libcairo.so.2
scanelf: rpath_security_checks(): Maybe? sec problem with DT_RPATH='6084ORIGIN/../ure-link/lib' in /var/tmp/portage/app-office/libreoffice-bin-3.3.0_rc4/image/usr/lib64/libreoffice/basis3.3/program/libcairo.so.2
>>> Done.

>>> Installing (1 of 1) app-office/libreoffice-bin-3.3.0_rc4
 * Updating desktop mime database ...
 * Updating shared mime info database ...
 * Updating icons cache ...                                                                                                                                                                                                     [ ok ]
 *  libreoffice-bin does not provide integration with system spell 
 *  dictionaries. Please install them manually through the Extensions 
 *  Manager (Tools > Extensions Manager) or use the source based 
 *  package instead. 
 * 

>>> Recording app-office/libreoffice-bin in "world" favorites file...

 * Messages for package app-office/libreoffice-bin-3.3.0_rc4:

 *  libreoffice-bin does not provide integration with system spell 
 *  dictionaries. Please install them manually through the Extensions 
 *  Manager (Tools > Extensions Manager) or use the source based 
 *  package instead. 
Comment 28 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-23 19:49:16 UTC
@tman: I know about that, but this is just one simple warning, no error, so low-priority.
Comment 29 Nuno Silva 2011-01-23 23:53:58 UTC
When I do something that requires a file picker (save, insert picture from file, and maybe others), libreoffice-bin freezes. Maybe it's just some PEBKAC, or is anyone else experiencing this?
Comment 30 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 08:45:33 UTC
(In reply to comment #29)
> When I do something that requires a file picker (save, insert picture from
> file, and maybe others), libreoffice-bin freezes. Maybe it's just some PEBKAC,
> or is anyone else experiencing this?
> 

Works fine here. Which use-flag / desktop combination do you use? Do you see an error on the command line? Also try to change the setting for LibreOffice / General / Use LibreOffice dialogs and see if that helps. 
Comment 31 Nuno Silva 2011-01-24 10:28:35 UTC
(In reply to comment #30)
> (In reply to comment #29)
> > When I do something that requires a file picker (save, insert picture from
> > file, and maybe others), libreoffice-bin freezes. Maybe it's just some PEBKAC,
> > or is anyone else experiencing this?
> 
> Works fine here. Which use-flag / desktop combination do you use?

USE="-gnome -java -kde", and the wm is fluxbox.

> Do you see an
> error on the command line? Also try to change the setting for LibreOffice /
> General / Use LibreOffice dialogs and see if that helps. 

Changed that, and now it shows the file pickers I'm used to see in OpenOffice. It seems it was failing silently, with no error messages.
Comment 32 Real Name 2011-01-24 10:51:18 UTC
I would like to test the source build when it becomes available... still an question left, why the -bin package is so huge?

Size of files: 3,813,171 kB  vs. Size of files: 452,773 kB (Sources OO)
Comment 33 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 11:14:53 UTC
(In reply to comment #32)
> I would like to test the source build when it becomes available... still an
> question left, why the -bin package is so huge?
> 
> Size of files: 3,813,171 kB  vs. Size of files: 452,773 kB (Sources OO)
> 

That's a question you have to ask upstream, we are just taking there packages ;-) But part of it is that all language packs are counted in this stats, which make up for a lot of room. (and are not normally all downloaded to your machine)
Comment 34 mephinet 2011-01-24 11:58:48 UTC
(In reply to comment #32)

> Size of files: 3,813,171 kB  vs. Size of files: 452,773 kB (Sources OO)

 $ qsize libreoffice-bin
app-office/libreoffice-bin-3.3.0_rc4: 6859 files, 1110 non-files, 460950.979 KB
 $ qsize openoffice
app-office/openoffice-3.2.1-r1: 3427 files, 462 non-files, 351832.196 KB

So it grew by 110 Megs "only", when installed (with two language packs).
Comment 35 Real Name 2011-01-24 12:16:11 UTC
You misunderstood, i didn't meant the diff between OO and LO but the diff between binary and source:

app-office/openoffice-3.2.1-r1: 3311 files, 438 non-files, 324.833 MB
Comment 36 Real Name 2011-01-24 12:17:55 UTC
(In reply to comment #35)
> You misunderstood, i didn't meant the diff between OO and LO but the diff
> between binary and source:
> 
> app-office/openoffice-3.2.1-r1: 3311 files, 438 non-files, 324.833 MB
> 

Sry, I mixed kB and MB :)
Comment 37 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 12:20:27 UTC
You are comparing not comparable things, as this is a generic binary it's no
surprise it's substantially bigger than a source-built version. If you want to
talk about bloat compare libreoffice-bin to openoffice-bin. And again: We take
these binaries from upstream, so if you think they are to big:
https://bugs.freedesktop.org/
Comment 38 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 12:28:50 UTC
The above comment was in regards to @mephinet...

@Real Name: Portage includes ALL optionally downloaded packages in this number like language packs, so this number is useless (and nothing anyone has to download or gets installed to disk) and can'T be compared to the source-based build.
Comment 39 mephinet 2011-01-24 12:32:08 UTC
(In reply to comment #37)
> so if you think they are to big: https://bugs.freedesktop.org/

No, I'm perfectly fine with any size, just wanted to get the numbers straight. Thanks a lot for your work and the ebuild. Works like a charm for me...
Comment 40 Andrey Vihrov 2011-01-24 12:52:15 UTC
Created attachment 260584 [details]
Visual glitch in main screen

(In reply to comment #26)

First of all, I'd like to thank you for working on getting this software in Gentoo.

I've installed it on stable amd64 and it seems to work fine. On all documents I've tried to open, LibreOffice behaves no worse than OpenOffice (as expected). Of course, one should note that there's been only one day of use so far :)

I've encountered a visual glitch in the main screen, though (see attachment). It appears when hovering the mouse pointer over the buttons. I wonder if this is a fault of LibreOffice or the Intel video driver. Has anyone else experienced this?

Also the font rendering is different from the system one, which suggests that LibreOffice either alters/forces libfreetype settings or bundles its own libfreetype.
Comment 41 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 13:02:02 UTC
A little update to the source based ebuild: atm I'm unfortunately hitting the same bug as geki does with his ebuild, see the first post:

http://forums.gentoo.org/viewtopic-t-804244-postdays-0-postorder-asc-start-0.html

Even disabling the presenter extension doesn't seem to help :-/
Comment 42 Hanno Zysik (geki) 2011-01-24 19:07:40 UTC
Created attachment 260609 [details, diff]
test diff

@Andreas
You could test this. It looks wrong anyway.
Comment 43 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 20:00:18 UTC
Just commited a first release of app-office/libreoffice to the tree :-) Please note: This does not build any extensions atm to work around the aforementioned build breakage. Other than that it seems to work fine here :-)

Also a lot of thanks has to go to geki who did most of the groundwork in his overlay!
Comment 44 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 20:08:23 UTC
(In reply to comment #42)
> Created an attachment (id=260609) [details]
> test diff
> 
> @Andreas
> You could test this. It looks wrong anyway.
> 
@Hanno: Thanks, trying a new build right now, let's hope for the best ;-)
Comment 45 Real Name 2011-01-24 20:46:07 UTC
Homepage should be the same on both builds :)


*  app-office/libreoffice [ Masked ]
      Latest version available: 3.3.0_rc4
      Latest version installed: [ Not Installed ]
      Size of files: 415,090 kB
      Homepage:      http://go-oo.org
      Description:   LibreOffice, a full office productivity suite.
      License:       LGPL-3

*  app-office/libreoffice-bin
      Latest version available: 3.3.0_rc4
      Latest version installed: [ Not Installed ]
      Size of files: 3,813,171 kB
      Homepage:      http://www.documentfoundation.org
      Description:   LibreOffice productivity suite.
      License:       LGPL-3
Comment 46 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 20:57:41 UTC
(In reply to comment #45)
> Homepage should be the same on both builds :)

Good catch, this is fixed now...
Comment 47 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-24 21:24:07 UTC
(In reply to comment #42)
> Created an attachment (id=260609) [details]
> test diff
> 
> @Andreas
> You could test this. It looks wrong anyway.
> 

Nice one, seems to fix the build breakage for me. So added it in portage and re-enabled the extensions we build :-) Thanks!
Comment 48 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-25 11:18:26 UTC
Final release of LibreOffice 3.3.0 is now in the tree, don't get too excited though, this is actually the same as RC4 ;-)

-bin still takes some time as I have to redownload each and every language and helppack, which takes its time. Especially as the download-server just seems to have gone missing ;-)
Comment 49 Real Name 2011-01-25 11:52:03 UTC
I can confirm the source-build compiles and LibreOffice works well on:


# emerge --info
Portage 2.1.9.35 (default/linux/amd64/10.0/no-multilib, gcc-4.5.2, glibc-2.12.2-r0, 2.6.37 x86_64)
=================================================================
System uname: Linux-2.6.37-x86_64-Intel-R-_Core-TM-_i5_CPU_M_460_@_2.53GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 25 Jan 2011 10:00:01 +0000
app-shells/bash:     4.1_p9
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl alsa amd64 berkdb bzip2 cairo cli cpudetection cracklib cxx dri dts fortran gdbm gpm gtk iconv jpeg mmx modules mp3 mpeg mudflap ncurses nptl nptlonly opengl openmp pam pcre perl png pppd python python3 readline session sse sse2 sse3 ssl ssse3 svg sysfs tcpd threads tiff truetype unicode x264 xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 50 Sergey Ilinykh 2011-01-25 12:56:45 UTC
only spelling is still a weakspot
Comment 51 Marshall McMullen 2011-01-25 13:56:05 UTC
I thought I'd check out the new ebuild but it failed to install for me:


th=sse -DGL_GLEXT_PROTOTYPES' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed' 'CPPFLAGS='
 ccache:     no
 icecream:   no
 distcc:     no
 Max number of projects to build in parallel is '5'
Moving package file lists...
Cleaning up lists of files...
Fixing permissions...
Checking for DESTDIR inside installed files...
Packaging succeeded
!!! newins: /var/tmp/portage/app-office/libreoffice-3.3.0_rc4/image//etc/bash_completion.d/ooffice.sh does not exist
 * ERROR: app-office/libreoffice-3.3.0_rc4 failed:
 *   Failed to install /var/tmp/portage/app-office/libreoffice-3.3.0_rc4/image//etc/bash_completion.d/ooffice.sh
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_install
 *   environment, line 8458:  Called dobashcompletion '/var/tmp/portage/app-office/libreoffice-3.3.0_rc4/image//etc/bash_completion.d/ooffice.sh' 'ooffice'
 *   environment, line 2343:  Called die
 * The specific snippet of code:
 *           newins "$1" "${BASHCOMPLETION_NAME}" || die "Failed to install $1";
 * 
 * If you need support, post the output of 'emerge --info =app-office/libreoffice-3.3.0_rc4',
 * the complete build log and the output of 'emerge -pqv =app-office/libreoffice-3.3.0_rc4'.
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.22"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/tmp/portage/app-office/libreoffice-3.3.0_rc4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/libreoffice-3.3.0_rc4/temp/environment'.
 * S: '/var/tmp/portage/app-office/libreoffice-3.3.0_rc4/work/libreoffice-build-3.3.0.4'
 * QA Notice: file does not exist:
 * 
 *      newins: /var/tmp/portage/app-office/libreoffice-3.3.0_rc4/image//etc/bash_completion.d/ooffice.sh does not exist

Here's my emerge --info output:

 # emerge --info
Portage 2.1.9.25 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.4, glibc-2.11.2-r3, 2.6.34-gentoo-r12 x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-r12-x86_64-Intel-R-_Core-TM-2_Quad_CPU_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 25 Jan 2011 02:05:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/ccache:     2.4-r9
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.8
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.1.2, 4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe -fforce-addr -mmmx -msse2 -mfpmath=sse"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /home/mythtv/ /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=nocona -O2 -pipe -fforce-addr -mmmx -msse2 -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--config-root=/home/public/gentoo --buildpkg"
FEATURES="assume-digests binpkg-logs ccache collision-protect distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://www.cyberuse.com/gentoo/ http://gentoo.netnitco.net"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j5"
PKGDIR="/home/public/software/portage/packages/desktop"
PORTAGE_CONFIGROOT="/home/public/gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi aim alsa amd64 avahi bash-completion berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdparanoia cdr cleartype cli consolekit cover cpudetection cracklib crypt cscope css cups cxx dbus dga dhcp dri dts dv dvd dvdr dvi dvipdfm embedded emboss encode exif fam fbsplash ffmpeg firefox flac foomaticdb fortran gdbm gdu gif gimp glitz gphoto2 gpm gs gtk iconv imap imlib iphone ipod irc jabber java joystick jpeg jpeg2k kde kipi kqemu lastfm lcms libnotify lm_sensors mad matroska mdnsresponder-compat mikmod mjpeg mmx mmxext mng modules mp3 mp4 mpeg mplayer msn mudflap multilib musepack music musicbrainz mysql ncurses net nfconntrack nfs nis nls nocd nowin nptl nptlonly nsplugin nvidia offensive ogg openal openexr opengl openmp opensslcrypt pam pango pcre pdf perl php png policykit postgres ppds pppd python qt3support qt4 quotes rar raw rdesktop readline rtc rtf scanner sdl sensord server session slp smp spell sqlite sse sse2 ssl ssse3 startup-notification stream subtitles svg sysfs tcpd themes threads threadsafe thumbnail tiff transcode truetype udev unicode usb vcd vdpau videos vim vim-pager vim-syntax vim-with-x vnc vorbis wavpack wma x264 xcb xcomposite xine xml xorg xscreensaver xulrunner xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="pixma epson epson2" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 52 Marshall McMullen 2011-01-25 13:58:32 UTC
Here's my 'emerge -pqv =app-libreoffice-3.3.0_rc4':

emerge -pqv =app-office/libreoffice-3.3.0_rc4
[ebuild  N    ] app-office/libreoffice-3.3.0_rc4  USE="bash-completion cups dbus gtk java kde nsplugin opengl pam (-aqua) -binfilter -debug -eds -gnome -gstreamer (-kdeenablefinal) -ldap -odk -templates" LINGUAS="en -af -ar -as -ast -be_BY -bg -bn -bo -br -brx -bs -ca -ca_XV -cs -cy -da -de -dgo -dz -el -en_GB -en_US -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gd -gl -gu -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kn -ko -kok -ks -ku -ky -lo -lt -lv -mai -mk -ml -mn -mni -mr -ms -my -nb -ne -nl -nn -nr -ns -oc -om -or -pa_IN -pap -pl -ps -pt -pt_BR -ro -ru -rw -sa_IN -sat -sd -sh -si -sk -sl -sq -sr -ss -st -sv -sw_TZ -ta -te -tg -th -ti -tn -tr -ts -ug -uk -uz -ve -vi -xh -zh_CN -zh_TW -zu"
Comment 53 Marshall McMullen 2011-01-25 14:09:12 UTC
I should also note that I did not have openoffice installed prior to trying to install libreoffice. I'm rebuilding now with USE=-bash-completion to at least get past that error.
Comment 54 David 2011-01-25 15:14:44 UTC
(In reply to comment #26)
> First steps... A package for libreoffice-bin is now in the tree, try it if you
> like, it's parallel installable to openoffice[-bin].

Is (the non-binary) app-office/libreoffice also parallel installable with (the non-binary) app-office/openoffice?
Comment 55 Marshall McMullen 2011-01-25 15:45:49 UTC
Yep, installed fine for me without that use flag.

The only thing I noticed right away is there are menu entries for all libreoffice components except writer. I'm using kde 4.5.5.
Comment 56 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-25 17:22:07 UTC
(In reply to comment #51)
> I thought I'd check out the new ebuild but it failed to install for me:

This has already been fixed, see bug #352656, just resync
Comment 57 Dror Levin (RETIRED) gentoo-dev 2011-01-25 17:50:33 UTC
The dep in app-office/libreoffice on media-libs/jpeg needs to be changed to virtual/jpeg (like in app-office/openoffice). I didn't want to file a new bug just for that.
Comment 58 Marshall McMullen 2011-01-25 21:50:24 UTC
Anyone else notice that there is no menu entry for writer? I'm using kde 4.5.5. I see entries for:

LibreOffice Base
LibreOffice Calc
LibreOffice Impress
LibreOffice
Comment 59 Marshall McMullen 2011-01-25 21:56:19 UTC
Never mind, it's there. 

However, these menu entries don't actually appear to work for me. Looking at the relevant .desktop files, they all have oo references in Exec, e.g. look at calc.desktop:

TryExec=localc                                                                                                                                                  
Exec=oocalc %U     

Changing that "Exec" to "Exec=localc %u" fixes the problem.

Comment 60 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-01-25 22:17:59 UTC
(In reply to comment #59)
> Never mind, it's there. 
> 
> However, these menu entries don't actually appear to work for me. Looking at
> the relevant .desktop files, they all have oo references in Exec, e.g. look at
> calc.desktop:
> 
> TryExec=localc                                                                  
> Exec=oocalc %U     
> 
> Changing that "Exec" to "Exec=localc %u" fixes the problem.

The TryExec values in the .desktop files must be fixed too. For example, writer.desktop currently has

TryExec=oowriter

This means that all of Gnome and all Gtk applications will completely ignore this .desktop file, because if the TryExec value is not an executable in the current $PATH, gio assumes that the .desktop file is invalid or not installed!

The values that need to be fixed:

* writer.desktop : TryExec=lowriter
* web.desktop: TryExec=loweb
* tempate.desktop: Exec=lofromtemplate
* math.desktop: Exec=lomath %U
* impress.desktop: Exec=loimpress %U
* draw.desktop: Exec=lodraw %U
* calc.desktop: Exec=localc
* base.desktop: Exec=lobase %U
Comment 61 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-25 22:19:13 UTC
(In reply to comment #58)
> Anyone else notice that there is no menu entry for writer? I'm using kde 4.5.5.
 Which package are you talking about: libreoffice or libreoffice-bin? And which version?
Comment 62 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-25 22:22:35 UTC
(In reply to comment #57)
> The dep in app-office/libreoffice on media-libs/jpeg needs to be changed to
> virtual/jpeg (like in app-office/openoffice). I didn't want to file a new bug
> just for that.
> 

This is fixed, thanks
Comment 63 Alexandre Rostovtsev (RETIRED) gentoo-dev 2011-01-25 22:25:04 UTC
(In reply to comment #61)
> (In reply to comment #58)
> > Anyone else notice that there is no menu entry for writer? I'm using kde 4.5.5.
>  Which package are you talking about: libreoffice or libreoffice-bin? And which
> version?

The masked libreoffice-3.3.0, emerged a few hours ago. And there is no entry
for Writer in Gnome either. See my comment #60 for the explanation.
Comment 64 Marshall McMullen 2011-01-25 23:19:44 UTC
(In reply to comment #61)
> (In reply to comment #58)
> > Anyone else notice that there is no menu entry for writer? I'm using kde 4.5.5.
>  Which package are you talking about: libreoffice or libreoffice-bin? And which
> version?
> 

I am using libreoffice-3.3.0

Comment 65 Real Name 2011-01-25 23:39:18 UTC
strange, the RC4 compiled fine, but the final 3.3.0 fails with this err:


-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/presenter

 it seems that the error is inside 'sdext', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

...

 * QA Notice: command not found:
 * 
 * 	./unpack: line 623: ant: command not found
 * QA Notice: Unrecognized configure options:
 * 
 * 	configure: WARNING: unrecognized options: --with-tag, --with-system-cairo, --enable-pam, --without-java
 * 	configure: WARNING: unrecognized options: --with-tag, --with-system-cairo, --enable-pam, --without-java
 * 	configure: WARNING: unrecognized options: --disable-fontooo, --disable-qadevooo, --enable-presenter-screen, --without-writer2latex, --with-distro, --with-arch, --with-srcdir, --without-binsuffix, --with-installed-ooo-dirname, --with-tag, --with-drink, --without-git, --with-split, --enable-strip, --disable-access, --disable-post-install-scripts, --enable-extensions



BTW:

Is this correct in the credits: "Gentoo Foundation"?

"Copyright © 2000, 2010 LibreOffice contributors and/or their affiliates. All rights reserved.
This product was created by Gentoo Foundation, based on OpenOffice.org, which is Copyright 2000, 2010 Oracle and/or its affiliates.
Gentoo Foundation acknowledges all community members, please find more info at the link below:"
Comment 66 Fabian Köster 2011-01-26 00:27:52 UTC
The libreoffice(-bin) ebuilds in tree do not allow installing it with openoffice in parallel, is there any reason for this?

For testing purposes it would be really nice to have openoffice(-bin) and libreoffice(-bin) installed at the same time.
Comment 67 Néstor A. Marchesini 2011-01-26 01:31:55 UTC
$ emerge --info
Portage 2.1.9.35 (default/linux/amd64/10.0, gcc-4.5.2, glibc-2.12.2-r0, 2.6.36-gentoo-r6 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r6-x86_64-AMD_Athlon-tm-_II_X2_255_Processor-with-gentoo-2.0.1
Timestamp of tree: Tue, 25 Jan 2011 21:00:01 +0000
app-shells/bash:     4.1_p9
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/gentoo"
LANG="es_AR.UTF-8"
LC_ALL="es_AR.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="es es_AR"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-sunset /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aalib acpi alsa amd64 aspell bash-completion berkdb bluetooth bzip2 cairo cdda cddb cdr cli consolekit cracklib crypt cups curl cxx dbus dia directfb djvu dri drm dvd dvi exif faac fam fbcon fbdev ffmpeg flac fontconfig fortran fuse gdbm gif gimp gnutls gphoto2 gpm gstreamer gtk hddtemp iconv id3tag idn ieee1394 imagemagick ipv6 irda jpeg jpeg2k lame latex lcms libv4l libv4l2 lm_sensors lzo mad matroska md5sum mmx mng modules mp3 mp4 mpeg mpg123 mudflap multilib ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf perl png pni pppd python qt3support qt4 raw readline rle ruby scanner session smp spell sqlite sse sse2 sse3 sse4a ssl stream subversion svg sysfs syslog taglib tcl tcpd theora threads tiff tk truetype udev unicode usb v4l v4l2 vcd vcdx vga vorbis x264 xattr xinerama xml xmp xorg xosd xpm xscreensaver xterm-color xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev mouse keyboard joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es es_AR" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s" USERLAND="GNU" VIDEO_CARDS="radeon vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
(In reply to comment #66)
> The libreoffice(-bin) ebuilds in tree do not allow installing it with
> openoffice in parallel, is there any reason for this?
> 
> For testing purposes it would be really nice to have openoffice(-bin) and
> libreoffice(-bin) installed at the same time.
> 


# emerge -av libreoffice

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] app-office/libreoffice-3.3.0  USE="bash-completion cups dbus gstreamer gtk nsplugin opengl pam (-aqua) -binfilter -debug -eds -gnome -java -kde (-kdeenablefinal) -ldap -odk -templates" LINGUAS="es

...
-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/presenter

 it seems that the error is inside 'sdext', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

/bin/bash
cd /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4
source ./LinuxX86-64Env.Set.sh
cd sdext
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
sometimes (sadly) it is necessary to rm -Rf unxlngx6.pro in a module.
make: *** [stamp/build] Error 1
 * ERROR: app-office/libreoffice-3.3.0 failed:
 *   Installation failed!
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_install
 *   environment, line 8445:  Called die
 * The specific snippet of code:
 *       make DESTDIR="${D}" install || die "Installation failed!";
 * 
 * If you need support, post the output of 'emerge --info =app-office/libreoffice-3.3.0',
 * the complete build log and the output of 'emerge -pqv =app-office/libreoffice-3.3.0'.
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME=""
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/tmp/portage/app-office/libreoffice-3.3.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/libreoffice-3.3.0/temp/environment'.
 * S: '/var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4'
 * QA Notice: Unrecognized configure options:
 * 
 * 	configure: WARNING: unrecognized options: --with-tag, --with-system-cairo, --enable-pam, --without-java
 * 	configure: WARNING: unrecognized options: --with-tag, --with-system-cairo, --enable-pam, --without-java
 * 	configure: WARNING: unrecognized options: --disable-fontooo, --disable-qadevooo, --enable-presenter-screen, --without-writer2latex, --with-distro, --with-arch, --with-srcdir, --without-binsuffix, --with-installed-ooo-dirname, --with-tag, --with-drink, --without-git, --with-split, --enable-strip, --disable-access, --disable-post-install-scripts, --enable-extensions
 * 	configure: WARNING: unrecognized options: --disable-fontooo, --disable-qadevooo, --enable-presenter-screen, --without-writer2latex, --with-distro, --with-arch, --with-srcdir, --without-binsuffix, --with-installed-ooo-dirname, --with-tag, --with-drink, --without-git, --with-split, --enable-strip, --disable-access, --disable-post-install-scripts, --enable-extensions
 * 	configure: WARNING: unrecognized options: --disable-fontooo, --disable-qadevooo, --enable-presenter-screen, --without-writer2latex, --with-distro, --with-arch, --with-srcdir, --without-binsuffix, --with-installed-ooo-dirname, --with-tag, --with-drink, --without-git, --with-split, --enable-strip, --disable-access, --disable-post-install-scripts, --enable-extensions
 * 	configure: WARNING: unrecognized options: --disable-fontooo, --disable-qadevooo, --enable-presenter-screen, --without-writer2latex, --with-distro, --with-arch, --with-srcdir, --without-binsuffix, --with-installed-ooo-dirname, --with-tag, --with-drink, --without-git, --with-split, --enable-strip, --disable-access, --disable-post-install-scripts, --enable-extensions

>>> Failed to emerge app-office/libreoffice-3.3.0, Log file:

>>>  '/var/tmp/portage/app-office/libreoffice-3.3.0/temp/build.log'

Comment 68 Néstor A. Marchesini 2011-01-26 02:37:42 UTC
# cd /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4
# source ./LinuxX86-64Env.Set.sh
# cd sdext
# build
build -- version: 275224


=============
Building module sdext
=============

Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/inc


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/xpdfwrapper


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/odf


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/presenter/help/en-US/com.sun.PresenterScreen

done

Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/minimizer/registry/data/org/openoffice/Office


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/pdfparse


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/minimizer/registry/data/org/openoffice/Office/extension


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/presenter/registry/data/org/openoffice/Office/extension


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/sax


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/misc


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/tree


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/wrapper


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/minimizer


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/pdfimport/xpdftest


Entering /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/source/presenter

dmake:  ../../unxlngx6.pro/misc/PresenterScreen.dpz:  line 112:  Error: -- Syntax error in % rule, missing % target

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

 it seems that the error is inside 'sdext', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

/bin/bash
cd /var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4
source ./LinuxX86-64Env.Set.sh
cd sdext
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
sometimes (sadly) it is necessary to rm -Rf unxlngx6.pro in a module.

The file with problem is:
/var/tmp/portage/app-office/libreoffice-3.3.0/work/libreoffice-build-3.3.0.4/build/libreoffice-3.3.0.4/sdext/PresenterScreen.dpz

In the line 112 of this file:

	../../unxlngx6.pro/misc/PresenterScreen/bitmaps$/ButtonFrameLeftNormal.png

../../unxlngx6.pro/misc/presenter-screen.dpzz : makefile.mk

..$/..$/unxlngx6.pro$/bin$/presenter-screen_develop.zip : \
	../../unxlngx6.pro/misc/bg$/com.sun.PresenterScreen$/presenter.xhp \
Comment 69 Kristian Niemi 2011-01-26 06:18:33 UTC
(In reply to comment #68)

Néstor, have you tried building with java?

I was just going to report the exact same error. Notice you, too, have tried building LibreOffice with USE="-java". I have a vague memory of OpenOffice failing to build without it. 

Will try USE="java" now myself; I'll return to confirm if this indeed helps.
Comment 70 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-26 07:29:49 UTC
(In reply to comment #66)
> The libreoffice(-bin) ebuilds in tree do not allow installing it with
> openoffice in parallel, is there any reason for this?

Yes. In my observation having both parallel installed gives all sorts of unwanted interference, for instance a quite visible delay in startup speed, when the other office-package was already started. Besides that: Patches and ideas welcome ;-)
Comment 71 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-26 07:34:10 UTC
(In reply to comment #68)
> dmake:  ../../unxlngx6.pro/misc/PresenterScreen.dpz:  line 112:  Error: --
> Syntax error in % rule, missing % target

Looks like @geki's patch only worked for the java-enabled case :-( Hanno: Any ideas?
Comment 72 Lars Wendler (Polynomial-C) gentoo-dev 2011-01-26 10:47:53 UTC
I too have no menuentry for libreoffice writer. This is with ebuild revision 1.4

On a sidenote, building with forced asneeded doesn't work.
Comment 73 Néstor A. Marchesini 2011-01-26 19:25:26 UTC
I have always compiled openoffice with -java and never an error, 
I was trying to switch to libreoffice I had to uninstall openoffice.
I do not want to install java, I'll try again when the use -java run.
Greetings
Comment 74 Real Name 2011-01-26 20:21:17 UTC
@Andreas (In reply to comment #48)
> Final release of LibreOffice 3.3.0 is now in the tree, don't get too excited
> though, this is actually the same as RC4 ;-)

When this is the case, why the RC4 built without java/ant, but the new one won't?
Comment 75 Hanno Zysik (geki) 2011-01-26 21:30:06 UTC
(In reply to comment #71)
> Looks like @geki's patch only worked for the java-enabled case :-( Hanno: Any
> ideas?

Sorry, no idea. It just works with and without java here ...
Comment 76 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-27 07:35:04 UTC
(In reply to comment #74)
> @Andreas (In reply to comment #48)
> > Final release of LibreOffice 3.3.0 is now in the tree, don't get too excited
> > though, this is actually the same as RC4 ;-)
> 
> When this is the case, why the RC4 built without java/ant, but the new one
> won't?
> 
Because extensions were disabled in the initial RC4 ebuild (but already re-enabled in the last revision before the bump), just read up the comments above.
Comment 77 Andreas Proschofsky (RETIRED) gentoo-dev 2011-01-27 10:36:19 UTC
As different bug reports roll in, this bug gets increasingly confusing to read. So: I'm going to close it as the original request was fulfilled.

Please file the different problems you encounter in separate bugs (but look before if it's already in the database, the build problem without java is bug #352812)

Thanks everyone, closing.